<?php
// $Id: webcam_constants.inc,v 1.3 2006/09/07 16:22:12 fbreunig Exp $

// definition of the default values
define('WEBCAM_DEFAULT_REFRESH_PERIOD',   60);
define('WEBCAM_DEFAULT_SPECIFIC_WIDTH',  300);
define('WEBCAM_DEFAULT_THUMBNAIL_WIDTH', 100);
define('WEBCAM_DEFAULT_LINK_TEXT',       'Current webcam image');

// definition of the values that will be used 
define('WEBCAM_REFRESH_PERIOD',  variable_get('webcam_refresh_period',  WEBCAM_DEFAULT_REFRESH_PERIOD));
define('WEBCAM_SPECIFIC_WIDTH',  variable_get('webcam_specific_width',  WEBCAM_DEFAULT_SPECIFIC_WIDTH));
define('WEBCAM_THUMBNAIL_WIDTH', variable_get('webcam_thumbnail_width', WEBCAM_DEFAULT_THUMBNAIL_WIDTH));
define('WEBCAM_LINK_TEXT',       variable_get('webcam_link_text',       WEBCAM_DEFAULT_LINK_TEXT));
define('WEBCAM_THUMBNAIL_FILE',  variable_get('file_directory_path', 'files') .'/webcam_thumbnail.jpg');
define('WEBCAM_OUTPUT_FILE',     variable_get('file_directory_path', 'files') .'/webcam_output.jpg');
define('WEBCAM_REFRESH_LINK',    l('Refresh', 'webcam'));
define('WEBCAM_POPUP_URL',       url('webcam', NULL, NULL, true));
define('WEBCAM_POPUP_JS_URL',    drupal_get_normal_path(drupal_get_path('module', 'webcam')) .'/popup.js');
define('WEBCAM_BLANK_IMAGE_URL', drupal_get_normal_path(drupal_get_path('module', 'webcam')) .'/webcam.gif');
define('WEBCAM_STYLE_SHEET_URL', drupal_get_normal_path(drupal_get_path('module', 'webcam')) .'/style.css');
?>